# filedialog.h File Reference

`#include <gwenhywfar/misc.h>`
`#include <gwenhywfar/inherit.h>`
`#include <gwenhywfar/ui/widget.h>`
`#include <gwenhywfar/stringlist.h>`

Go to the source code of this file.

## Defines

#define | GWEN_FILEDIALOG_FLAGS_MULTI 0x00020000
#define | GWEN_FILEDIALOG_FLAGS_WANTDIR 0x00010000

## Functions

GWEN_WIDGET * | GWEN_FileDialog_new (GWEN_TYPE_UINT32 flags, const char *name, const char *title, const char *dir, const char *fileName, const GWEN_STRINGLIST *patterns)

## Define Documentation

#define GWEN_FILEDIALOG_FLAGS_MULTI 0x00020000

#define GWEN_FILEDIALOG_FLAGS_WANTDIR 0x00010000

## Function Documentation

GWEN_WIDGET* GWEN_FileDialog_new | ( | GWEN_TYPE_UINT32 | flags,
|  | const char * | name,
|  | const char * | title,
|  | const char * | dir,
|  | const char * | fileName,
|  | const GWEN_STRINGLIST * | patterns
| ) |